summaryrefslogtreecommitdiff
path: root/net-firewall/xtables-addons
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2009-06-16 21:50:45 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2009-06-16 21:50:45 +0300
commit7ceaa0b7b7d58b2e9f7d91a8b94f38c3b41cb2d9 (patch)
tree8f0c9e154118d29e5e3fc33e87de1451b8edc56d /net-firewall/xtables-addons
parentd987eb25aa5b31d49ab3e9378dbc250a33535a5d (diff)
xtables - iptables addons
Diffstat (limited to 'net-firewall/xtables-addons')
-rw-r--r--net-firewall/xtables-addons/xtables-addons-9999.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/net-firewall/xtables-addons/xtables-addons-9999.ebuild b/net-firewall/xtables-addons/xtables-addons-9999.ebuild
new file mode 100644
index 0000000..b425f73
--- /dev/null
+++ b/net-firewall/xtables-addons/xtables-addons-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/iptables-1.4.3.2.ebuild,v 1.1 2009/04/06 18:47:54 pva Exp $
+
+inherit eutils toolchain-funcs git
+
+DESCRIPTION="Linux kernel (2.4+) firewall, NAT and packet mangling tools (addons)"
+HOMEPAGE="http://www.iptables.org/"
+SRC_URI=""
+
+EGIT_REPO_URI="git://xtables-addons.git.sf.net/gitroot/xtables-addons"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="virtual/os-headers
+ ${RDEPEND}
+"
+RDEPEND="net-firewall/iptables"
+
+src_unpack() {
+ git_src_unpack
+}
+
+src_compile() {
+ econf \
+ --sbindir=/sbin \
+ --libexecdir=/$(get_libdir) \
+ --enable-shared \
+ --enable-static
+ emake V=1 || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+}